Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class OGCStandardCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.getcapabilities.OGCStandardCapabilities

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WCSCapabilities

    public abstract class OGCStandardCapabilities

extends OGCCapabilities

Represents the capabilities for an OGC-Webservice prior to the `OWS Common Implementation Specification 0.2`.

It consists of the following parts:

Name | Occurences | Function
--- | --- | ---
Service | 1 | Provides metadata of the service.
Capability | 1 | Provides properties and capabilities of the service.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`OGCStandardCapabilities(String version, String updateSequence, Service service, Capability capabilitiy)`

Method Summary
`Capability` | `getCapabilitiy()` Returns the Capabilitiy part of the configuration.
`Service` | `getService()` Returns the Service part of the configuration.
`void` | `setCapabilitiy(Capability capabilitiy)` Sets the Capabilitiy part of the configuration.
`void` | `setService(Service service)` Sets the Service part of the configuration.

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OGCStandardCapabilities

    public OGCStandardCapabilities(String version,
                                   String updateSequence,
                                   Service service,
                                   Capability capabilitiy)

Parameters:
  `version` -
  `updateSequence` -
  `service` -
  `capabilitiy` -

Method Detail

### getCapabilitiy

    public Capability getCapabilitiy()

  Returns the Capabilitiy part of the configuration.

  Returns:
    the Capabilitiy part of the configuration.

### setCapabilitiy

    public void setCapabilitiy(Capability capabilitiy)

  Sets the Capabilitiy part of the configuration.

  Parameters:
    `capabilitiy` -

### getService

    public Service getService()

  Returns the Service part of the configuration.

  Returns:
    the Service part of the configuration.

### setService

    public void setService(Service service)

  Sets the Service part of the configuration.

  Parameters:
    `service` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org